# $Revision: 1.23 $, $Date: 2002/09/19 12:17:14 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Text
%define	pnam	Thesaurus-ISO
Summary:	Text::Thesaurus::ISO - A class to handle ISO thesaurii
Summary(pl):	Text::Thesaurus::ISO - klasa do obsugi tezaurusw ISO
Name:		perl-Text-Thesaurus-ISO
Version:	1.0
Release:	12
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module defines an abstract ROADS Thesaurus object and a number of
methods that operate on these objects.  These methods allow new
Thesaurus objects to be created, specify what Thesaurus file to use,
retrieve all the information from the thesaurus concerning a given
term, find broader terms for a given term and find narrower terms for
a given term.

%description -l pl
Ten modu definiuje abstrakcyjny obiekt ROADS Thesaurus oraz wiele
metod operujcych na tych obiektach. Metody te pozwalaj na tworzenie
nowych obiektw Thesaurus, wskazywanie pliku, jaki ma by uywany,
odczytywania wszystkich informacji z tezaurusa dotyczcych podanego
wyraenia, szukania wyraenia bardziej oglneg do podanego oraz
szukania wyrae o wszym znaczeniu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{perl_sitelib}/Text/Thesaurus
%{perl_sitelib}/Text/Thesaurus/ISO.pm
# empty autosplit.ix
#%dir %{perl_sitelib}/auto/Text/Thesaurus
#%dir %{perl_sitelib}/auto/Text/Thesaurus/ISO
#%{perl_sitelib}/auto/Text/Thesaurus/ISO/autosplit.ix
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Text-Thesaurus-ISO.spec,v $
Revision 1.23  2002/09/19 12:17:14  ankry
- added tests on bcond
- removed empty autosplit.ix, cleaning
- release 12

Revision 1.22  2002/08/28 20:58:44  qboosh
- pl description, release++

Revision 1.21  2002/08/11 19:36:49  radek
- release up

Revision 1.20  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.19  2002/07/12 11:31:34  qboosh
- added missing dir, new %%doc, release 9

Revision 1.18  2002/07/10 09:02:03  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:13  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:35:02  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:21:08  depesz
automatic: Source location unified, Relase Up

Revision 1.13  2002/02/10 15:36:19  depesz
adapterized

Revision 1.12  2002/01/18 02:14:32  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:25  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:17:04  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:10  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/25 21:18:58  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:58  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/23 17:57:17  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:33  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:01  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:18:47  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:48  pius
- initial release
